RedCrawler API
Scheduling Posts V2

Edit Scheduled Text V2

Edit a pending scheduled text post. Only pending posts can be edited. All fields except 'id' are optional — only provided fields are updated.

PUT /api/v2/schedule/text

Edit a pending scheduled text post. Only pending posts can be edited. All fields except 'id' are optional — only provided fields are updated.

Body parameters

NameTypeRequiredDescription
idstringYesScheduled post ID (from create or list response)
proxystringNoProxy. Optional if stored in Token Vault.
titlestringNoNew post title (optional)
spoilerstringNoMark as spoiler (true/false)
flair_textstringNoFlair text
bodystringNoNew post body / markdown (optional)
publish_atstringNoNew publish time (ISO-8601 UTC, optional)
nsfwstringNoMark as NSFW (true/false)
flair_idstringNoFlair template ID
delete_afterstringNoAuto-delete post after N seconds
bearerstringNoBearer token. Optional if stored in Token Vault.
brand_affiliatestringNoMark as brand affiliate / commercial (true/false)
subredditstringNoNew target subreddit (optional)

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X PUT "https://red-crawler1.p.rapidapi.com/api/v2/schedule/text" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"id": "<id>", "proxy": "<proxy>", "title": "<title>", "spoiler": "<spoiler>", "flair_text": "<flair_text>", "body": "<body>", "publish_at": "<publish_at>", "nsfw": "<nsfw>", "flair_id": "<flair_id>", "delete_after": "<delete_after>", "bearer": "<bearer>", "brand_affiliate": "<brand_affiliate>", "subreddit": "test"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/schedule/text", {
  method: "PUT",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "id": "<id>",
  "proxy": "<proxy>",
  "title": "<title>",
  "spoiler": "<spoiler>",
  "flair_text": "<flair_text>",
  "body": "<body>",
  "publish_at": "<publish_at>",
  "nsfw": "<nsfw>",
  "flair_id": "<flair_id>",
  "delete_after": "<delete_after>",
  "bearer": "<bearer>",
  "brand_affiliate": "<brand_affiliate>",
  "subreddit": "test"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/schedule/text"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "id": "<id>",
  "proxy": "<proxy>",
  "title": "<title>",
  "spoiler": "<spoiler>",
  "flair_text": "<flair_text>",
  "body": "<body>",
  "publish_at": "<publish_at>",
  "nsfw": "<nsfw>",
  "flair_id": "<flair_id>",
  "delete_after": "<delete_after>",
  "bearer": "<bearer>",
  "brand_affiliate": "<brand_affiliate>",
  "subreddit": "test"
}
resp = requests.put(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "updated": true,
    "id": 120,
    "subreddit": "RedCrawlerAPI",
    "parent_id": "",
    "title": "Schedule Text Post V2",
    "type": "text",
    "publish_at": "2026-05-11T15:00:00+00:00",
    "delete_after": 3000,
    "delete_at": "2026-05-11T15:50:00+00:00",
    "status": "pending"
  },
  "error": null,
  "timestamp": "2026-04-29T17:40:13.840960+00:00"
}

On this page